Product Bundles
Get product bundle
Retrieves detailed information about a specific product bundle, including its configuration, status, discount rules, and validation status.
GET
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
bundle-groups
/
{bundle_group_id}
/
bundles
/
{bundle_id}
Error
A valid request URL is required to generate request examples{
"data": {
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"compliant": {
"info": [
"<string>"
]
},
"created_at": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"id": "<string>",
"rules": [
{
"bundle_id": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"exclude_discounted_price": true,
"exclude_full_price": true,
"id": "<string>",
"items": [
{
"description": "<string>",
"id": "<string>",
"image_urls": [
"<string>"
],
"product_name": "<string>",
"product_number": "<string>",
"slug": "<string>"
}
],
"quantity": 123,
"tag_conditions": {
"brands": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"categories": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"collections": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"series": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"tags": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
],
"status": "<string>",
"updated_at": "<string>"
},
"details": [
"<string>"
],
"success": true
}Path Parameters
App slug
Team slug
Product bundle group UUID
Product bundle UUID
Previous
Delete product bundlePermanently deletes the specified product bundle from the bundle group. Cannot delete the last remaining bundle in a group. Also removes any orphaned redirects associated with the bundle.
Next
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"compliant": {
"info": [
"<string>"
]
},
"created_at": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"id": "<string>",
"rules": [
{
"bundle_id": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"exclude_discounted_price": true,
"exclude_full_price": true,
"id": "<string>",
"items": [
{
"description": "<string>",
"id": "<string>",
"image_urls": [
"<string>"
],
"product_name": "<string>",
"product_number": "<string>",
"slug": "<string>"
}
],
"quantity": 123,
"tag_conditions": {
"brands": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"categories": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"collections": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"series": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"tags": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
],
"status": "<string>",
"updated_at": "<string>"
},
"details": [
"<string>"
],
"success": true
}